Skip to main content
`Ctrl`+`K`

# STApplyHermitianTranspose

Applies the Hermitian-transpose of the operator to a vector, for instance \(y=B^*(A - \sigma B)^{-*}x\) in the case of the shift-and-invert transformation and generalized eigenproblem.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STApplyHermitianTranspose(ST st,Vec x,Vec y)

Collective

## Input Parameters

- st - the spectral transformation context

- x - input vector

## Output Parameter

- y - output vector

## Note

Currently implemented via `STApplyTranspose()` with appropriate conjugation.

## See Also

ST: Spectral Transformation, `STApply()`, `STApplyTranspose()`

## Level

developer

## Location

src/sys/classes/st/interface/stsolve.c

## Implementations

STApplyHermitianTranspose_Shell() in src/sys/classes/st/impls/shell/shell.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages